clang 10.0.0git

Classes | Namespaces | Functions | Variables
Execution.h File Reference
`#include "clang/Tooling/CommonOptionsParser.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/Registry.h"`
`#include "llvm/Support/StringSaver.h"`
Include dependency graph for Execution.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tooling::ToolResults
| An abstraction for the result of a tool execution. More...
class | clang::tooling::InMemoryToolResults
| Stores the key-value results in memory. More...
class | clang::tooling::ExecutionContext
| The context of an execution, including the information about compilation and results. More...
class | clang::tooling::ToolExecutor
| Interface for executing clang frontend actions. More...
class | clang::tooling::ToolExecutorPlugin
| Interface for factories that create specific executors. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling
| clang::tooling::internal

## Functions
llvm::Expected< std::unique_ptr< ToolExecutor > > | clang::tooling::createExecutorFromCommandLineArgs (int &argc, const char **argv, llvm::cl::OptionCategory &Category, const char *Overview=nullptr)
| This creates a ToolExecutor that is in the global registry based on commandline arguments. More...
llvm::Expected< std::unique_ptr< ToolExecutor > > | clang::tooling::internal::createExecutorFromCommandLineArgsImpl (int &argc, const char **argv, llvm::cl::OptionCategory &Category, const char *Overview=nullptr)

## Variables
llvm::cl::opt< std::string > | clang::tooling::ExecutorName